Bug 828998 - Review Request: drupal6-media_vimeo - Vimeo Video Module for Drupal6
Review Request: drupal6-media_vimeo - Vimeo Video Module for Drupal6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 14:10 EDT by Anderson Silva
Modified: 2013-04-01 18:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-01 18:25:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
drupal6-media_vimeo-review.txt (6.54 KB, text/plain)
2013-02-24 00:18 EST, Shawn Iwinski
no flags Details
phpci.log (11.97 KB, text/x-log)
2013-02-24 00:18 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Anderson Silva 2012-06-05 14:10:45 EDT
Spec URL: http://people.redhat.com/~ansilva/drupal6-media_vimeo.spec
SRPM URL: http://people.redhat.com/~ansilva/drupal6-media_vimeo-1.1-3.fc16.src.rpm
Description: This module adds support for videos by the Vimeo provider to Embedded Media Field
Fedora Account System Username: afsilva
Comment 1 Shawn Iwinski 2013-01-26 13:55:29 EST
After quick review, missing "drupal6-emvideo" dependency
Comment 2 Shawn Iwinski 2013-01-26 14:03:57 EST
(In reply to comment #1)
> After quick review, missing "drupal6-emvideo" dependency

Nevermind!  I missed that emvideo was a sub-module of emfield.  I'm hoping to get the drupal packaging spec updated so virtual provides should be listed.
Comment 3 Anderson Silva 2013-02-13 09:35:28 EST
So, are you ok with this package? Do you need me to do something for it?
Comment 4 Shawn Iwinski 2013-02-24 00:18:08 EST
Created attachment 701894 [details]
drupal6-media_vimeo-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 828998
Comment 5 Shawn Iwinski 2013-02-24 00:18:40 EST
Created attachment 701895 [details]
phpci.log
Comment 6 Shawn Iwinski 2013-02-24 00:23:30 EST
===== SHOULD items =====
> [!]: If the source package does not include license text(s) as a separate file
>      from upstream, the packager SHOULD query upstream to include it.
> [!]: Package does not include license text files separate from upstream.

I believe this is because of a license update in the actual license file?  Has upstream been made aware of the needed update?

> [!]: Packages should try to preserve timestamps of original installed files.

Please consider adding the "-p" (or "--preserve-timestamps") flag to your install command.



No blockers.

===== APPROVED =====
Comment 7 Anderson Silva 2013-03-22 12:41:40 EDT
New Package SCM Request
=======================
Package Name: drupal6-media_vimeo
Short Description: This module adds support for videos by the Vimeo provider to Embedded Media Field
Owners: siwinski afsilva
Branches: f17 f18 f19 el6
InitialCC:
Comment 8 Gwyn Ciesla 2013-03-22 13:24:21 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-03-22 15:34:03 EDT
drupal6-media_vimeo-1.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal6-media_vimeo-1.1-3.fc17
Comment 10 Fedora Update System 2013-03-22 15:34:40 EDT
drupal6-media_vimeo-1.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/drupal6-media_vimeo-1.1-3.fc18
Comment 11 Fedora Update System 2013-03-22 16:29:49 EDT
drupal6-media_vimeo-1.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-media_vimeo-1.1-3.el6
Comment 12 Shawn Iwinski 2013-03-23 00:51:37 EDT
Package Change Request
======================
Package Name: drupal6-media_vimeo
New Branches: el5
Owners: ansilva siwinski
InitialCC: 

Adding el5 branch to follow most other drupal6 packages.
Comment 13 Gwyn Ciesla 2013-03-23 09:08:59 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-03-23 14:18:33 EDT
drupal6-media_vimeo-1.1-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 15 Fedora Update System 2013-04-01 18:25:48 EDT
drupal6-media_vimeo-1.1-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Fedora Update System 2013-04-01 18:32:50 EDT
drupal6-media_vimeo-1.1-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.